# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add ws_metadata JSON column to capability_versions

Revision ID: af3e4a4e7ede
Revises: 42723a9dd85c
Create Date: 2021-09-13 17:17:36.743665

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "af3e4a4e7ede"
down_revision = "42723a9dd85c"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE capability_versions ADD COLUMN workflow_metadata JSON")


def downgrade():
    op.execute("ALTER TABLE capability_versions DROP COLUMN workflow_metadata")
